summaryrefslogtreecommitdiffstats
path: root/.local/bin/statusbar/sb-mpdup
diff options
context:
space:
mode:
authorLuke Smith <luke@lukesmith.xyz>2020-12-25 08:02:50 -0500
committerLuke Smith <luke@lukesmith.xyz>2020-12-25 08:02:50 -0500
commit2619a88fcd94cbd4b2caa719ba926ae0013fb4ec (patch)
treeacb240c6afee6a3ee15cf64c9788b5ed053ebe97 /.local/bin/statusbar/sb-mpdup
parent741e9298bd7b0dabeea26dfe039274afca572f6d (diff)
downloadeibhear-2619a88fcd94cbd4b2caa719ba926ae0013fb4ec.tar.gz
eibhear-2619a88fcd94cbd4b2caa719ba926ae0013fb4ec.tar.zst
eibhear-2619a88fcd94cbd4b2caa719ba926ae0013fb4ec.zip
statusbar scripts now with sb- to avoid conflicts
update dwmblocks build to avoid errors
Diffstat (limited to '.local/bin/statusbar/sb-mpdup')
-rwxr-xr-x.local/bin/statusbar/sb-mpdup8
1 files changed, 8 insertions, 0 deletions
diff --git a/.local/bin/statusbar/sb-mpdup b/.local/bin/statusbar/sb-mpdup
new file mode 100755
index 0000000..af81a7d
--- /dev/null
+++ b/.local/bin/statusbar/sb-mpdup
@@ -0,0 +1,8 @@
+#!/bin/sh
+
+# This loop will update the mpd statusbar module whenever a command changes the
+# music player's status. mpd must be running on X's start for this to work.
+
+while : ; do
+ mpc idle >/dev/null && kill -45 "$(pidof "${STATUSBAR:-dwmblocks}")" || break
+done